CVE-2004-1755
CVSS7.5
发布时间 :2004-12-31 00:00:00
修订时间 :2008-09-05 16:42:15
NMCO    

[原文]The Web Services fat client for BEA WebLogic Server and Express 7.0 SP4 and earlier, when using 2-way SSL and multiple certificates to connect to the same URL, may use the incorrect identity after the first connection, which could allow users to gain privileges.


[CNNVD]BEA WebLogic Server和Express SSL客户端权限提升漏洞(CNNVD-200412-356)

        
        BEA Systems WebLogic包含多种应用系统集成方案,包括Server/Express/Integration等。
        BEA Systems WebLogic Server和Express存在一个安全问题,允许SSL客户端提升自己的权限。
        WEB服务客户端代码由于存在一个编码错误,WEB服务fat客户端通过双向SSL使用不同客户端证书连接相同weblogic服务器时,其他不正确的用户身份可用于后续的连接。目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-1755
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-1755
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200412-356
(官方数据源) CNNVD

- 其它链接及资源

http://www.kb.cert.org/vuls/id/858990
(VENDOR_ADVISORY)  CERT-VN  VU#858990
http://xforce.iss.net/xforce/xfdb/15826
(PATCH)  XF  weblogic-multiple-connection-gain-access(15826)
http://www.securityfocus.com/bid/9502
(PATCH)  BID  9502
http://secunia.com/advisories/10725
(PATCH)  SECUNIA  10725
http://dev2dev.bea.com/resourcelibrary/advisoriesnotifications/BEA04_47.00.jsp
(PATCH)  CONFIRM  http://dev2dev.bea.com/resourcelibrary/advisoriesnotifications/BEA04_47.00.jsp

- 漏洞信息

BEA WebLogic Server和Express SSL客户端权限提升漏洞
高危 设计错误
2004-12-31 00:00:00 2005-10-20 00:00:00
远程  
        
        BEA Systems WebLogic包含多种应用系统集成方案,包括Server/Express/Integration等。
        BEA Systems WebLogic Server和Express存在一个安全问题,允许SSL客户端提升自己的权限。
        WEB服务客户端代码由于存在一个编码错误,WEB服务fat客户端通过双向SSL使用不同客户端证书连接相同weblogic服务器时,其他不正确的用户身份可用于后续的连接。目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        BEA Systems
        -----------
        WebLogic Server and Express 7.0
        升级到Service Pack 4并采用此补丁
        ftp://ftpna.beasys.com/pub/releases/security/CR126896_700sp4.jar
        当Service Pack 5可使用时,用户可以使用它代替Service Pack 4和这个补丁.

- 漏洞信息

3724
BEA WebLogic Web Services Fat Client Incorrect Identity Privilege Escalation

- 漏洞描述

Unknown or Incomplete

- 时间线

2004-01-27 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站